Skip to main content
GET
List actions group launches

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

actions_group
string<uuid>

Only the launches of this actions group: its launch history

status
enum<string>

Only the launches with this status

Available options:
done,
done_with_errors,
failed,
no_data,
running,
waiting

Response

Launches, latest first

id
string<uuid>
required

Launch UUID

organization_id
string<uuid>
required

Organization UUID

workspace_id
string<uuid>
required

Workspace UUID

actions_group_id
string<uuid> | null
required

Actions group launched, or null if the group was deleted since

trigger
enum<string>
required

What started the launch

  • group - Group trigger
  • workspace - Workspace trigger
  • monthly - Monthly run
Available options:
group,
workspace,
monthly
status
enum<string>
required

Status of the launch, worked out from its runs

  • waiting - Waiting
  • running - Running
  • done - Done
  • done_with_errors - Done with errors
  • no_data - No data
  • failed - Failed
Available options:
waiting,
running,
done,
done_with_errors,
no_data,
failed
message
string | null
required

Why the launch has no data or failed, or null otherwise

runs
object
required

Runs of the launch, by status

created_by
string<uuid> | null
required

UUID of the user who launched, null for monthly

created_at
string<date-time>
required

Launch time

updated_at
string<date-time>
required

Last status change